import json

import requests

## Envoi des données sur sensor community

url = "https://api.sensor.community/v1/push-sensor-data/"
headers = {
    "Content-Type": "application/json",
    "X-Pin": "1",
    "X-Sensor": "esp8266-12345678"
}

data = {
    "software_version": "your_version",
    "sensordatavalues": [
        {"value_type": "P1", "value": "66.04"},
        {"value_type": "P2", "value": "53.32"}
    ]
}

response = requests.post(url, headers=headers, data=json.dumps(data), timeout=10)

print(response.status_code)
print(response.text)
